obuf Struct Reference
obuf: Output Buffer Management

`#include <obuf.h>`

## Data Fields

iobuf | io
unsigned | bufpos
unsigned | count
obuf_fn | writefn

## Detailed Description

Output specific buffer.

## Field Documentation

## bufpos

unsigned obuf::bufpos

Current write position within the buffer.

Referenced by obuf_copyfromfd(), obuf_flush(), obuf_init(), obuf_putc(), obuf_seek(), and obuf_write().

## count

unsigned obuf::count

The number of bytes written in the last operation.

Referenced by obuf_copyfromfd(), obuf_init(), obuf_putc(), obuf_seek(), obuf_write(), and obuf_write_large().

## io

iobuf obuf::io

Base `iobuf` structure.

Referenced by obuf_close(), obuf_copyfromfd(), obuf_flush(), obuf_init(), obuf_putc(), obuf_seek(), obuf_sync(), obuf_write(), and obuf_write_large().

## writefn

obuf_fn obuf::writefn

Function used to write data to the file descriptor.

Referenced by obuf_flush(), obuf_init(), and obuf_write_large().

The documentation for this struct was generated from the following file:

- obuf.h